summaryrefslogtreecommitdiffstats
path: root/lib
diff options
context:
space:
mode:
Diffstat (limited to 'lib')
-rwxr-xr-xlib/overcloud-deploy-functions.sh6
-rwxr-xr-xlib/post-install-functions.sh2
-rw-r--r--lib/utility-functions.sh16
3 files changed, 23 insertions, 1 deletions
diff --git a/lib/overcloud-deploy-functions.sh b/lib/overcloud-deploy-functions.sh
index b0354227..14c37247 100755
--- a/lib/overcloud-deploy-functions.sh
+++ b/lib/overcloud-deploy-functions.sh
@@ -20,6 +20,8 @@ function overcloud_deploy {
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_sdnvpn.yaml"
elif [ "${deploy_options_array['vpp']}" == 'True' ]; then
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_fdio.yaml"
+ elif [ "${deploy_options_array['vpn']}" == 'true' ]; then
+ DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_sdnvpn.yaml"
else
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight.yaml"
fi
@@ -203,6 +205,10 @@ fi
source stackrc
set -o errexit
+# Workaround for APEX-207 where sometimes swift proxy is down
+if ! sudo systemctl status openstack-swift-proxy > /dev/null; then
+ sudo systemctl restart openstack-swift-proxy
+fi
echo "Uploading overcloud glance images"
openstack overcloud image upload
diff --git a/lib/post-install-functions.sh b/lib/post-install-functions.sh
index d0f4da44..af72d8f9 100755
--- a/lib/post-install-functions.sh
+++ b/lib/post-install-functions.sh
@@ -67,7 +67,7 @@ EOI
# TODO fix this when HA SDN controllers are supported
if [ "${deploy_options_array['sdn_controller']}" != 'False' ]; then
echo -e "${blue}INFO: Finding SDN Controller IP for overcloudrc...${reset}"
- sdn_controller_ip=$(overcloud_connect controller0 "facter ipaddress_br_ex")
+ sdn_controller_ip=$(undercloud_connect stack "source stackrc;nova list | grep controller-0 | cut -d '|' -f 7 | grep -Eo [0-9]+\.[0-9]+\.[0-9]+\.[0-9]+")
echo -e "${blue}INFO: SDN Controller IP is ${sdn_controller_ip} ${reset}"
undercloud_connect stack "echo 'export SDN_CONTROLLER_IP=${sdn_controller_ip}' >> /home/stack/overcloudrc"
fi
diff --git a/lib/utility-functions.sh b/lib/utility-functions.sh
index f73a2d85..bc9a9592 100644
--- a/lib/utility-functions.sh
+++ b/lib/utility-functions.sh
@@ -61,6 +61,22 @@ controller<number> or compute<number>"
fi
}
+##connects to opendaylight karaf console
+##params: None
+function opendaylight_connect {
+ local opendaylight_ip
+ opendaylight_ip=$(undercloud_connect "stack" "cat overcloudrc | grep SDN_CONTROLLER_IP | grep -Eo [0-9]+\.[0-9]+\.[0-9]+\.[0-9]+")
+
+ if [ "$opendaylight_ip" == "" ]; then
+ echo -e "Unable to find IP for OpenDaylight in overcloudrc"
+ return 1
+ else
+ echo -e "Connecting to ODL Karaf console. Default password is 'karaf'"
+ fi
+
+ ssh -p 8101 ${SSH_OPTIONS[@]} karaf@${opendaylight_ip}
+}
+
##outputs heat stack deployment failures
##params: none
function debug_stack {